PHP kézikönyv
Előző |  | Következő

# HttpQueryString::get

(no version information, might be only in CVS)

HttpQueryString::get -- Get (part of) query string

## Leírás

publicmixed HttpQueryString::get ( [string key [, mixed type = 0 [, mixed defval = NULL [, bool delete = FALSE]]]] )

Get (part of) the query string.

The type parameter is either one of the HttpQueryString::TYPE_* constants or a type abbreviation like "b" for bool, "i" for int, "f" for float, "s" for string, "a" for array and "o" for a stdClass object.

## Paraméterek

key

  key of the query string param to retrieve

type

  which variable type to enforce

defval

  default value if key does not exist

delete

  whether to remove the key/value pair from the query string

## Visszatérési értékek

Returns the value of the query string param or the whole query string if no key was specified on success or defval if key does not exist.

Előző | Tartalom | Következő
HttpQueryString::singleton | Fel | HttpQueryString::mod